/**
 * AUTO_COPYRIGHT_SUB_TAG
 */
package com.rim.samples.device.push.cmd;

import com.rim.samples.device.push.ContentProviderProtocol;

public class ResumeCommand extends NetworkCommand {

    private boolean isEnterprise;
    
    public ResumeCommand( String username, String password, boolean isEnterprise ) {
        super( username, password );
        this.isEnterprise = isEnterprise;
    }

    protected void execute() throws Exception {
        // first we register with Content Provider
        ContentProviderProtocol.performCommand( ContentProviderProtocol.CMD_RESUME, username, password, isEnterprise, tx );
    }

    public String getCommandName() {
        return "resume";
    }

}